import request from '/@/utils/request';
export function facilityManagementApi(){
    return{
        // 设备设施类型管理 查询单条数据
        getequipmentTypeMngDetail:(params:any)=>{
            return request({
                url:`/equipmentTypeMng/selectOne/${params}`,
                method:"get"
            })
        },
        // 设备设施类型管理 新增或者修改数据
        getequipmentTypeMngAddOrUpdate:(params:object)=>{
            return request({
                url:"/equipmentTypeMng/addOrUpdate",
                method:"post",
                data:params
            })
        },
         // 设备设施类型管理 删除 
         getequipmentTypeMngDelete:(params:any)=>{
            return request({
                url:`/equipmentTypeMng/delete?ids=${params}`,
                method:"get"
            })
        },
         // 设备设施类型管理 查询树状数据 
         getequipmentTypeMngTreeData:()=>{
            return request({
                url:`/equipmentTypeMng/treeData`,
                method:"get"
            })
        },
        // 仪器仪表信息、生产设备设施、安全设备设施 查询单条数据
        getequipmentInfoDetail:(params:any)=>{
            return request({
                url:`/equipmentInfo/selectOne/${params}`,
                method:"get"
            })
        },
        // 仪器仪表信息、生产设备设施、安全设备设施 新增或者修改数据
        getequipmentInfoAddOrUpdate:(params:object)=>{
            return request({
                url:"/equipmentInfo/addOrUpdate",
                method:"post",
                data:params
            })
        },
        // 仪器仪表信息、生产设备设施、安全设备设施 删除 
        getequipmentInfoDelete:(params:any)=>{
            return request({
                url:`/equipmentInfo/delete?ids=${params}`,
                method:"get"
            })
        },
        // 仪器仪表信息、生产设备设施、安全设备设施 分页查询数据
        getequipmentInfoList:(params:object)=>{
            return request({
                url:"/equipmentInfo/page/list",
                method:"post",
                data:params
            })
        },
         // 仪器仪表信息、生产设备设施、安全设备设施 统计
         getequipmentInfoStatistics:()=>{
            return request({
                url:`/equipmentInfo/statistics`,
                method:"get"
            })
        },
        // 重点监管装置/设备 查询单条数据
        getkeypointEquipmentInfoDetail:(params:any)=>{
            return request({
                url:`/keypointEquipmentInfo/selectOne/${params}`,
                method:"get"
            })
        },
        // 重点监管装置/设备 新增或者修改数据
        getkeypointEquipmentInfoAddOrUpdate:(params:object)=>{
            return request({
                url:`/keypointEquipmentInfo/addOrUpdate`,
                method:"post",
                data:params
            })
        },
        // 重点监管装置/设备 删除
        getkeypointEquipmentInfoDetele:(params:any)=>{
            return request({
                url:`/keypointEquipmentInfo/delete?ids=${params}`,
                method:"get"
            })
        },
         // 重点监管装置/设备 分页查询数据
         getkeypointEquipmentInfoAddOrList:(params:object)=>{
            return request({
                url:`/keypointEquipmentInfo/page/list`,
                method:"post",
                data:params
            })
        },
    }
}